Bug 1310878 - Heat is unable to delete stack's resources if a 'port' name is given to a resource and not a UUID.
Heat is unable to delete stack's resources if a 'port' name is given to a res...
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity low
: ga
: 8.0 (Liberty)
Assigned To: Zane Bitter
Amit Ugol
Depends On: 1288207
Blocks: 1309814
  Show dependency treegraph
Reported: 2016-02-22 16:14 EST by Zane Bitter
Modified: 2016-04-26 22:56 EDT (History)
12 users (show)

See Also:
Fixed In Version: openstack-heat-5.0.1-2.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1288207
Last Closed: 2016-04-07 17:30:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1536515 None None None 2016-02-22 16:14 EST
OpenStack gerrit 272372 None None None 2016-02-22 16:14 EST

  None (edit)
Description Zane Bitter 2016-02-22 16:14:00 EST
+++ This bug was initially created as a clone of Bug #1288207 +++

Description of problem:

The error presents its self as: (curing a stack creation - that ends with a failure) 

BadRequest: Invalid input for port_id. Reason: 'test-stack-instance_port-kz2mdpj4wbpq-port-5etr6o77ho7f' is not a valid UUID.


    type: ../foundations/network_port.yaml
    depends_on: [security_group, tennant_network]
      network_name: {get_attr: [tennant_network, name]}
      subnet_id: {get_attr: [tennant_network, subnet_id]}
      security_group_name: {get_attr: [security_group, name]}

    type: OS::Neutron::FloatingIP
    depends_on: [instance_port]
      floating_network: { get_param: external_network }
      port_id: { get_attr: [instance_port, port_name]}  ## Here is where 
                                                         # the failure is


The template results in the error above however, upon stack delete the delete never processes. 

Version-Release number of selected component (if applicable): 7.0
How reproducible: 100% 

Additional info:

The only way, currently found to recover is to delete the resources, and then remove the entries in the database by hand, for the stack.

--- Additional comment from Rabi Mishra on 2016-01-14 02:40:18 EST ---

I had a look at the problem.

It seems the typo mentioned above in network_port.yaml is again the issue, when we're trying to show/delete the task.

Server resource uses it for the 'networks' property.

    depends_on: [ssh_key, tennant_network, security_group, instance_port]
    type: OS::Nova::Server
      name: {get_param: instance_name}
      key_name: { get_attr: [ssh_key, key_name] }
      image: {get_param: image_name}
      flavor: {get_param: image_flavor}
        - port: {get_attr: [instance_port, port_resource]} >>> here
      availability_zone: {get_param: az}

As 'port_resource' is not resolved and returns a map, 'get_attr' fails, when finding dependencies[1] for the server during delete/show.

[1] https://github.com/openstack/heat/blob/master/heat/engine/resources/openstack/nova/server.py#L953
Comment 3 Amit Ugol 2016-03-22 03:27:27 EDT
managed to reproduce by mistake.
since it happens now when the templates were full of errors, I am reopening on a low severity as there is little chance we will see it later.
Comment 4 Amit Ugol 2016-03-22 03:55:26 EDT
thanks Rabi,
looked the same but not the same issue.
Comment 5 errata-xmlrpc 2016-04-07 17:30:31 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.